.main {
    background: $silver;

    .main__section {
        
        .main__block {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding-bottom: 80px;

            @media (max-width: 1024px) {
                padding-bottom: 60px;
            }

            .main__content {
                display: flex;
                flex-direction: column;
                width: 45%;
                text-align: left;

                @media (max-width: 576px) {
                    width: 100%;
                    text-align: center;
                    align-items: center;
                }

                .block__text {
                    margin-bottom: 60px;

                    @media (max-width: 1024px) {
                        margin-bottom: 50px;
                    }

                    @media (max-width: 768px) {
                        margin-bottom: 40px;
                    }

                }

                .mobile__image {
                    display: none;

                    img {
                        max-width: 320px;
                        width: 100%;
                    }

                    @media (max-width: 576px) {
                        display: block;
                        margin-bottom: 40px;
                    }
                }

                .consultation__button {
                    padding: 2.5rem 0.5rem;
                    max-width: 400px;

                    @media (max-width: 1024px) {
                        padding: 2rem 0.5rem;
                    }

                    @media (max-width: 768px) {
                        padding: 1.5rem 0.5rem;
                    }

                    @media (max-width: 576px) {
                        padding: 1.5rem 2.5rem;
                    }
                }
            }

            .main__image {
                width: 45%;

                @media (max-width: 576px) {
                    display: none;
                    width: 100%;
                }
            }
        }

        .description__list {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
            gap: 20px;

            @media (max-width: 1024px) {
                grid-template-columns: repeat(auto-fill, minmax(240px, 1fr));
            }

            @media (max-width: 815px) {
                grid-template-columns: repeat(auto-fill, minmax(180px, 1fr));
            }

            @media (max-width: 625px) {
                grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
            }

            @media (max-width: 576px) {
                display: flex;
                flex-direction: column;
                justify-content: center;
                align-items: center;
                
            }

            .description__item {
                display: flex;
                align-items: center;
                text-align: left;
                background-color: $white;
                gap: 20px;
                padding: 2rem;
                border-radius: 25px;          
                box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.2);

                @media (max-width: 1024px) {
                    padding: 1.5rem;
                }

                @media (max-width: 768px) {
                    flex-direction: column;
                    text-align: center;
                    align-items: center;
                    justify-content: center;
                    padding: 1rem;
                }

                @media (max-width: 576px) {
                    flex-direction: row;
                    justify-content: center;
                    width: fit-content;
                    
                }

                .description__icon {
                    display: flex;
                }

                .description__text {
                    @include descriptionText;
                }
            }
        }
    }

    .offer__section {
        
        .offer__block {
            display: flex;
            justify-content: space-between;
            align-items: center;
            gap: 30px;
            text-align: center;

            @media (max-width: 768px) {
                flex-direction: column-reverse;
            }

            .offer {
                width: 45%;
                
                @media (max-width: 768px) {
                    width: 70%;
                }

                @media (max-width: 425px) {
                    width: 100%;
                }
            }

            .offer__content {

                @media (max-width: 768px) {
                    width: 70%;
                }

                @media (max-width: 425px) {
                    width: 100%;
                }

                .block__title {
                    margin-bottom: 40px;

                    @media (max-width: 1024px) {
                        margin-bottom: 32px;
                    }

                    @media (max-width: 425px) {
                        margin-bottom: 22px;
                    }
                }

                .block__text {
                    margin-bottom: 22px;
                }

                .block__price {
                    @include blockPrice;
                }

                .small__text {
                    @include smallText;
                }

                .contract__button {
                    padding: 1.5rem 2.5rem;
                }
            }

            .offer__image {
                position: relative;
                display: flex;
                border-radius: 30px;
                box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.2);

                .certificates__button {
                    position: absolute;
                    top: -50px;
                    left: 50%;
                    transform: translateX(-50%);
                    width: max-content;
                    padding: 0.4rem;
                    border-radius: 10px;
                    background-color: $white;
                    box-shadow: 0px 40px 80px 0 rgba(159, 159, 159, 0.61);
                    transition: 0.4s ease;

                    &:hover {
                        top: -60px;
                    }

                    .certificates__wrapper {
                        background-color: $white;
                        display: flex;
                        align-items: center;
                        gap: 14px;
                        
                        border: 1px solid $lightGray;
                        border-radius: 10px;
                        padding: 1rem;

                        img {
                            width: 50px;
                        }

                        .certificates__content {
                            .certificates__title {
                                @include certificatesTitle;
                            }

                            .certificates__text {
                                @include certificatesText;
                            }
                        }
                    }
                }
            }
        }
    }

    .cooperation__section {
       
        .cooperation__block {
            display: flex;
            justify-content: center;
            gap: 20px;
            position: relative;

            @media (max-width: 1024px) {
                flex-wrap: wrap;
            }

            @media (max-width: 576px) {
                gap: 40px;
            }

            &:after {
                position: absolute;
                content: url('../img/main/capsule-1.png');
                left: 0;
                top: 0;
                z-index: 1;
                animation: scale 3s infinite;
                transition: all .2s ease-out;

                @media (max-width: 768px) {
                    display: none;
                }

                @keyframes scale {
                    0% {transform: scale(1.0);
                    }

                    50% {transform: scale(1.2);
                    }


                    100% {transform: scale(1.0);
                    }
                }
            }

            &:before {
                position: absolute;
                content: url('../img/main/capsule-2.png');
                right: 0;
                bottom: 0;
                z-index: 1;
                animation: scale 3s infinite;
                transition: all .2s ease-out;

                @media (max-width: 768px) {
                    display: none;
                }

                @keyframes scale {
                    0% {transform: scale(1.0);
                    }

                    50% {transform: scale(1.2);
                    }

                    100% {transform: scale(1.0);
                    }
                }
            }

            .cooperation__item {
                display: flex;
                flex-direction: column;
                width: 22%;
                background-color: $white;
                box-shadow: 10px 30px 80px 10px rgba(198, 198, 198, 0.4);
                border-radius: 10px;
                text-align: center;
                padding: 4rem 1.2rem 3rem 1.2rem;
                position: relative;

                @media (max-width: 1024px) {
                    width: 30%;

                    &:last-child {
                        width: 78%;
                        flex-direction: row;
                        padding: 4rem 1.2rem 2rem 1.2rem;
                    }
                }

                @media (max-width: 768px) {
                    width: 35%;
                }

                @media (max-width: 576px) {
                    width: 100%;
                    flex-direction: row;
                    align-items: center;
                    text-align: left;
                    gap: 15px;
                    padding: 1rem;

                    &:last-child {
                        width: 100%;
                        padding: 1rem;
                    }
                }

                &:nth-child(2) {
                    top: -30px;

                    @media (max-width: 1024px) {
                        top: 0;
                    }
                }

                .cooperation__image {
                    width: auto;
                    height: auto;

                    @media (max-width: 576px) {
                        width: 100%;
                    }
                }

                .item__number {
                    @include itemNumber;
                    top: -20px;
                    left: 50%;
                    transform: translateX(-50%);

                    @media (max-width: 576px) {
                        left: 0;
                        transform: none;
                    }
                }
            }
        }
    }

    .production__section {
        
        .production__list {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(200px, 1fr)); 
            grid-gap: 3rem;
            margin-bottom: 120px;

            @media (max-width: 1024px) {
                grid-template-columns: repeat(auto-fill, minmax(170px, 1fr));
                margin-bottom: 100px; 
            }

            @media (max-width: 768px) {
                margin-bottom: 80px;
            }

            @media (max-width: 576px) {
                grid-gap: 1rem;
                row-gap: 3rem;
                margin-bottom: 60px;
            }

            @media (max-width: 425px) {
                grid-template-columns: repeat(auto-fill, minmax(130px, 1fr));
            }

            .production__item {
                display: flex;
                gap: 1.5rem;
                flex-direction: column;
                align-items: center;

                @media (max-width: 425px) {
                    gap: 1rem;
                }
                .product__wrapper {
                    padding: 0.5rem;
                    border: 1px solid $gray1;
                    border-radius: 100%;

                    .product__image {
                        background-position-y: 15%;
                        background-position-x: center;
                        background-color: $white;
                        border-radius: 100%;
                        width: 180px;
                        height: 180px;
                        transition: 0.4s ease;
    
                        @media (max-width: 576px) {
                            background-position-y: 25%;
                            width: 150px;
                            height: 150px;
                        }
    
                        @media (max-width: 425px) {
                            background-position-y: 35%;
                            width: 100px;
                            height: 100px;
                        }
    
                        &:hover {
                            scale: 1.1;
                        }
                    }
                }
               
                .product__name {
                    @include productName;
                }
            }
        }

        .production__banner {
            position: relative;
            display: flex;
            justify-content: center;
            background-color: $white;
            padding: 2rem;
            border-radius: 10px;
            box-shadow: 10px 30px 80px 10px rgba(198, 198, 198, 0.4);;

            &::after {
                position: absolute;
                content: url('../img/main/microscope-1.png');
                left: 0;
                top: 50%;
                transform: translateY(-60%);

                @media (max-width: 1024px) {
                    display: none;
                }
            }

            &::before {
                position: absolute;
                content: url('../img/main/microscope-2.png');
                right: 0;
                top: 50%;
                transform: translateY(-60%);

                @media (max-width: 1024px) {
                    display: none;
                }
            }

            .banner__title {
                @include bannerTitle;
                width: 60%;

                @media (max-width: 1024px) {
                    width: 100%;
                }
            }
        }
    }

    .services__section {
        
        .service__block {
            display: grid;
            grid-template-columns: repeat(auto-fill,minmax(220px,1fr));
            grid-gap: 1.2rem;

            @media (max-width: 1024px) {
                grid-template-columns: repeat(auto-fill,minmax(320px,1fr));
            }

            @media (max-width: 768px) {
                grid-template-columns: repeat(auto-fill,minmax(230px,1fr));

            }

            .service__item {
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;
                gap: 40px;
                background-color: $white;
                border-radius: 10px;
                padding: 2rem 1rem;
                box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.2);

                &:nth-child(3) {
                    grid-column: -1/3;
                    flex-direction: row;
                }

                @media (max-width: 1024px) {
                    flex-direction: row;
                    gap: 20px;

                    &:nth-child(3) {
                        grid-column: 3/1;
                    }
                }

                @media (max-width: 576px) {
                    &:nth-child(3) {
                        grid-column: inherit;
                    }
                }

                .service__name {
                    @include serviceName;
                }

                .service__image {
                    width: 200px;
                    height: auto;

                    @media (max-width: 1280px) {
                        // width: 100%;
                        height: auto;
                    }

                    @media (max-width: 1024px) {
                        width: 100px;
                    }

                    @media (max-width: 768px) {
                        width: 80px;
                    }
                }
            }
        }
    }

    .calculate__section {
        
        .calculate__wrapper {
            display: flex;
            flex-direction: column;
            gap: 140px;
            align-items: center;

            @media (max-width: 1024px) {
                gap: 50px;
            }

            .calculate__block {
                display: flex;
                justify-content: space-between;
                max-width: 840px;
                margin: 0 auto;
                background-color: $white;
                border-radius: 10px;
                padding: 2rem 3rem;
                box-shadow: 10px 30px 80px 10px rgba(198, 198, 198, 0.4);;
                position: relative;
                margin-top: 150px;
    
                @media (max-width: 1024px) {
                    background-color: transparent;
                    box-shadow: none;
                    padding: 0;
                    border-radius: 0;
                    justify-content: center;
                    gap: 20px;
                    margin-top: 0;
                }

                @media (max-width: 576px) {
                    flex-direction: column;
                }
    
                
                .calculate__calc {
                    position: absolute;
                    width: auto;
                    left: 50%;
                    transform: translate(-50%);
                    top: -100px;
    
                    @media (max-width: 1024px) {
                      display: none;
    
                    }
                }
    
                .calculate__item {
                    flex: 0 0 20%;
                    display: flex;
                    align-items: center;
                    text-align: center;
                    flex-direction: column;
                    gap: 15px;
    
                    @media (max-width: 1024px) {
                        background-color: $white;
                        padding: 2rem 3rem;
                        border-radius: 10px;
                        box-shadow: 10px 30px 80px 10px rgba(198, 198, 198, 0.4);;
                    }

                    @media (max-width: 768px) {
                        padding: 1rem 2rem;
                    }

                    .calculate__image {
                        width: fit-content;
                        height: auto;
                    }
    
                    .calculate__title {
                        @include calculateTitle;
                    }
    
                    .calculate__text {
                        @include calculateText;
                    }
                }
            }
    
            .calculation__button {
                width: fit-content;
                padding: 35px 55px;
    
                @media (max-width: 1280px) {
                    padding: 26px 42px;
                }
    
                @media (max-width: 768px) {
                    padding: 20px 30px;
                }
            }
        }
    }

    .work__section {
        
        .work__list {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(380px, 1fr)); 
            grid-gap: 2rem;

            @media (max-width: 1024px) {
                grid-template-columns: repeat(auto-fill, minmax(320px, 1fr)); 
            }

            @media (max-width: 768px) {
                grid-template-columns: repeat(auto-fill, minmax(240px, 1fr));
                grid-gap: 2rem;
            }

            @media (max-width: 576px) {
                grid-template-columns: repeat(auto-fill, minmax(170px, 1fr));
            }

            @media (max-width: 425px) {
                grid-template-columns: repeat(auto-fill, minmax(100%, 1fr));
            }

            .work__item {
                display: flex;
                align-items: center;
                gap: 30px;
                position: relative;

                @media (max-width: 768px) {
                    flex-direction: column;
                    text-align: center;
                    gap: 15px;
                }

                @media (max-width: 425px) {
                    flex-direction: column;
                    text-align: center;
                }

                .item__number {
                    @include itemNumber;
                    top: 0;
                    left: 130px;

                    @media (max-width: 1024px) {
                        left: 60px;
                    }

                    @media (max-width: 768px) {
                        left: 50%;
                        transform: translateX(-50%);
                        top: -10px;
                    }
                }

                .work__image {
                    width: auto;
                    padding: 1rem;
                    border-radius: 100%;
                    box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.2);

                    @media (max-width: 1024px) {
                        width: 120px;
                        padding: 0.8rem;
                    }

                    @media (max-width: 768px) {
                        width: 100px;
                        padding: 0.6rem;
                    }
                }
            }
        }
    }

    .stages__section {
       
        .stage__block {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(280px, 1fr)); 
            grid-gap: 6rem 2rem;

            @media (max-width: 1024px) {
                grid-template-columns: repeat(auto-fill, minmax(250px, 1fr)); 
                grid-gap: 3rem 1rem;
            }

            @media (max-width: 576px) {
                grid-template-columns: repeat(auto-fill, minmax(180px, 1fr)); 

            }

            @media (max-width: 425px) {
                grid-template-columns: repeat(auto-fill, minmax(100%, 1fr)); 
            }

           
            .stage__item {
                display: flex;
                align-items: unset;
                gap: 30px;
                position: relative;

                @media (max-width: 1024px) {
                    flex-direction: column;
                    align-items: center;
                    text-align: center;
                    gap: 20px;
                }

                @media (max-width: 425px) {
                    flex-direction: row;
                    align-items: unset;
                    text-align: left;
                    gap: 15px;
                }
                
                .item__number {
                    @include itemNumber;
                    background: $greenGradient;
                    top: -10px;
                }

                .stage__image {
                    box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.2);
                    border-radius: 100%;
                    width: 100px;
                    height: 100px;

                    @media (max-width: 425px)  {
                        width: 80px;
                        height: 80px;
                    } 
                }         
            }
        }
    }
    
    .manufacture__section {
        
        .manufacture__wrapper {
            display: flex;
            justify-content: space-between;
            align-items: center;
            gap: 100px;

            @media (max-width: 1024px) {
                gap: 50px;
            }

            @media (max-width: 768px) {
                flex-direction: column-reverse;
            }
            
            .manufacture__block {
                flex: 1 1 40%;

                @media (max-width: 768px) {
                    flex: auto;
                }
            }

            .manufacture__content {
                @media (max-width: 768px) {
                    max-width: 576px;
                }

                .block__title {
                    text-align: left;
                    margin-bottom: 30px;

                    @media (max-width: 768px) {
                        text-align: center;                      
                    }
                }


                .block__list {
                    padding: 20px;

                    .block__subtext {
                        &::marker {
                            color: $blue;
                        }
                        &:not(:last-child) {
                            padding-bottom: 10px;
                        }
                    }
                }
            }

            .manufacture__slider {
                position: relative;
                overflow: hidden;
                display: flex;
                border-radius: 30px;
                box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.2);
             
                .slider {

                    @media (max-width: 768px) {
                        width: 425px;
                    }

                    @media (max-width: 576px) {
                        width: 320px;
                    }

                    .swiper-slide {
                        .slide__image {
                            width: 100%;
                            height: inherit;
                        }
                    }
                }
                
                .arrow {
                    background-color: $blue;
                    color: $white;
                    height: 40px;
                    width: 40px;
                    border-radius: 100%;

                    &::after {
                        font-size: 14px;
                    }
                }
            
                .swiper-pagination {
                    z-index: 1;
                    bottom: 20px;

                    .swiper-pagination-bullet {
                        background-color: $white;
                        width: 15px;
                        height: 15px;
                    }
                }
            }
        }
    }

    .faq__section {
        
        .faq__block {
            max-width: 1024px;
            margin: 0 auto;
            display: flex;
            flex-direction: column;
            gap: 20px;
        
            @media (max-width: 1024px) {
                gap: 25px;
            }
            
            .faq__accordion {
                background-color: $white;
                border-radius: 20px;
                padding: 1rem 2rem;
                transition: 0.3s ease;
                box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.2);
                
                @media (max-width: 768px) {
                    padding: 1rem 1rem;
                }

                .accordion__input {
                    position: absolute;
                    opacity: 0;
                    z-index: -2;
                }
        
                .accordion__input:checked {
                    + .accordion__label {
                        .accordion__icon {
                            transform: rotate(225deg)
                        }
                    }
                    
                    ~ .accordion__content {
                        max-height: 100vh;
                        overflow: visible;
                        opacity: 1;
                    }
                }
        
                .accordion__label {
                    display: flex;
                    align-items: center;
                    justify-content: space-between;
                    cursor: pointer;
                    gap: 20px;
                    
                    .accordion__icon {
                        transition: 0.9s ease;
                    }
        
                    .accordion__title {
                        @include accordionTitle;
                    }
                }
        
                .accordion__content {
                    max-height: 0;
                    overflow: hidden;
                    opacity: 0;
                    transition: 0.9s ease;
                    
                    .accordion__text {
                        @include blockSubText;
                        margin-top: 20px;
                    }
                }
            }
        }
    }

    .form__section {
        background-image: url('../img/background/tablet.png'), url('../img/background/coffee.png');
        background-position: left, right;
        background-repeat: no-repeat;
        background-size: auto;
       
        .form {
            max-width: 375px;
            background-color: $white;
            box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.2);
        }
    }

    .map__section {
        padding-bottom: 10px;

        .map__wrapper {
            position: relative;

            .map {
                width: 100%;
                height: 567px;
                overflow: hidden;
                border-radius: 10px;
                box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.2);
                
               
                .ymaps-2-1-79-zoom {
                    display: none;
                }
    
                .ymaps-2-1-79-ground-pane {
                    filter: grayscale(1) brightness(1) invert(0);
                }
    
                .ymaps-2-1-79-search {
                    display: none;
                }

                @media (max-width: 1024px) {
                    border-radius: 0;
                }
            }

            .map__blocks {
                display: flex;
                justify-content: center;
                gap: 40px;
                position: absolute;
                width: 100%;
                bottom: 60px;
                left: 50%;
                transform: translate(-50%);

                @media (max-width: 1280px) {
                    gap: 20px;
                }

                .map__item {
                    display: flex;
                    justify-content: center;
                    font-family: 'Noto Sans';
                    padding: 1.5rem 0;
                    text-align: center;
                    background-color: $white;
                    box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.2);
                    border-radius: 10px;
                    max-width: 320px;
                    width: 100%;

                    @media (max-width: 1280px) {
                        max-width: 280px;
                    }

                    @media (max-width: 1024px) {
                        &:not(:last-child) {
                            display: none;
                        }
                    }

                    .tel__link {
                        @include telLink;
                    }

                    .mail__link {
                        @include mailLink; 
                    }

                    .address {
                        @include address;
                    }
                }
            }
        }
    }

    // card // 

    .card__section {
        .card__block {
            display: flex;
            align-items: center;
            gap: 3rem;
            margin-bottom: 50px;

            @media (max-width: 768px) {
                flex-direction: column;
                align-items: center;
                text-align: center;
            }
            
            .card__description {
                .card__image {
                    width: auto;

                    @media (max-width: 1024px) {
                        width: 250px;
                    }

                    @media (max-width: 768px) {
                        width: 350px;
                    }

                    @media (max-width: 425px) {
                        width: 100%;
                    }
                }

                .block__subtitle {
                    margin-bottom: 2rem;
                }

                .block__wrapper {
                  margin-bottom: 3rem;

                    .block__subtext {
                        &:not(:last-child) {
                            margin-bottom: 20px;
                        }
                    }
                }
              
                .card__button {
                    padding: 2.5rem 3.5rem;
                    max-width: 400px;

                    @media (max-width: 1024px) {
                        padding: 2rem 3.5rem;
                    }
                }
            }
        }

        .info__block {
            @media (max-width: 768px) {
                text-align: center;
            }

            .block__subtitle {
                margin-bottom: 30px;
            }

            .block__wrapper {
                 &:not(:last-child) {
                        margin-bottom: 40px;
                    }

                .block__subtext {
                    &:not(:last-child) {
                        margin-bottom: 20px;
                    }
                }
            }
        }
    }

    // privacy policy // 

    .privacy-policy__section {
        .block__subtitle {
            margin-bottom: 20px;
        }

        .block__wrapper {
            .block__subtext {
                margin-bottom: 15px;

                 &:last-child {
                    margin-bottom: 35px;
                 }
            }
        }

        .policy__button {
            padding: 2.5rem 3.5rem;
            max-width: 400px;
            position: relative;
            transform: translateX(-50%);
            left: 50%;

            @media (max-width: 1024px) {
                padding: 2rem 3.5rem;
            }
        }
    }
}